Page MenuHomePhabricator

Should get notified for topic summary change on your own user talk
Closed, ResolvedPublic

Description

Stephane pointed out we don't even on user talk, and I think this is worth considering at least there (and maybe elsewhere if you are watching the topic).

This would be consistent with old-style talk pages that would notify for the equivalent.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterUse same link for flow & flowusertalk summary notification
mediawiki/extensions/Flow : masterAdd notifications for summary changes

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 6:28 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

This makes sense. If we consider to notify about summary updates, topic resolutions are a connected event to consider (I added some details in a separate ticket: T125654).

Pginer-WMF added a comment.EditedFeb 4 2016, 12:15 PM

I created a couple of example mockups to discuss. I assumed we can have a different message when there was a former summary or not:


The icon used is the same we used for topic-renamed since both are about modifying topic info.

Change 273231 had a related patch set uploaded (by Matthias Mullie):
Add notifications for summary changes

https://gerrit.wikimedia.org/r/273231

So, this is up for review.

Copy & icon are as Pau suggested:

  • The topic "abc" was summarized. (for first summary edit)
  • The summary for "abc" was was updated. (for all next edits)

Rest is as close as possible to other notifications:

The notification will be sent to:

  • Owners of the user talk page the summary is edited on
  • People watching the topic

Notifications will be bundled when multiple summary edits happen per topic.

Primary link: view topic
Secondary links:
1: Link to user
2: Link to board (when not on usertalkpage, or when there is no diff (first summary))
2: "view changes" (when on usertalkpage)

Looks ok?

I created a couple of example mockups to discuss. I assumed we can have a different message when there was a former summary or not:

Question: how do you deal with a topic both summarized and resolved at the same time?

I created a couple of example mockups to discuss. I assumed we can have a different message when there was a former summary or not:

Question: how do you deal with a topic both summarized and resolved at the same time?

The idea is for resolved to take precedence over summarisation, as captured in T125654:

The user resolves a topic and provides a summary: a "topic was resolved" notification is sent which includes an excerpt of the summary (note that a separate summary edited notification is not sent).

The idea is for resolved to take precedence over summarisation, as captured in T125654:

This is a bit complicated, because summarization is a separate step you can optionally take after resolved (or at any time).

Change 273231 merged by jenkins-bot:
Add notifications for summary changes

https://gerrit.wikimedia.org/r/273231

In T125119#2068467, @Mattflaschen wrote:

The idea is for resolved to take precedence over summarisation, as captured in T125654:

This is a bit complicated, because summarization is a separate step you can optionally take after resolved (or at any time).

Maybe they can act internally as a kind of bundle. So the summarization bundles with the resolved being presented as a resolved with summary item to the eyes of the user.

Checked on betalabs.

  1. Per @matthiasmullie comment:

Creating a Summary and updating a Summary trigger the following Notifications:

The topic "abc" was summarized. (for first summary edit)
The summary for "abc" was updated. (for all next edits)

  • the topic title is bolded
  • the page name, in this case, "your talk page" is bolded too.

  1. non-user talk Flow pages Summary notifications e.g.

  1. flow-mention in Summary is covered in T125427: Generate flow-mention for create/edit of board desc, topic, post, summary
  2. Notifications for Resolving/Reopening topics are covered by T125654: Notify when a topic is marked as resolved or reopened
  3. There are no Summary updates notifications types in V 2.0 -- Notifications Showing Updated Text and Links ?

@Etonkovidova notes;

There are no Summary updates notifications types in V 2.0 -- Notifications Showing Updated Text and Links ?

Yeah, I was wondering about that. Should I document these on the spreadsheet? And if I do, is it more helpful to document as a new type of notification? Or would these be variants of some type (or types?). Opinions? @matthiasmullie? @Pginer-WMF ? @Etonkovidova

@Etonkovidova notes;

There are no Summary updates notifications types in V 2.0 -- Notifications Showing Updated Text and Links ?

Yeah, I was wondering about that. Should I document these on the spreadsheet? And if I do, is it more helpful to document as a new type of notification? Or would these be variants of some type (or types?). Opinions? @matthiasmullie? @Pginer-WMF ? @Etonkovidova

I'm looking at this screenshot. Two questions:

  • This bug was about user talk pages, so technically this is out of scope? But practically speaking, it makes sense to include all talk pages as long as we're doing this. Is that what's happening with this screenshot? We're extending the messaging to all talk pages? Or am i misunderstanding what I'm seeing?
  • Also, if these are all talk pages, shouldn't we be seeing the speechbubbles icon for the second two messages in the screenshot, as we do for the first?

@matthiasmullie? @Etonkovidova?

There was no complete spec for this yet, so I made them as similar to other notifications as possible.

I think (like the other notifications) we should also send notifications when watching (not only on user talk page) for consistency, or users will start wondering why they get one notification and not the other.
But if anyone disagrees, it's easy enough to change and make it user talk only.

I'm not sure about the speech bubbles. Pau suggested to use the same icon we do for topic-renamed (which in user talk also doesn't change).

As for documenting them in the spreadsheet: we can probably hash out whatever needs to change in here, but it's probably in our best interest to try to keep the spreadsheet up to date.

Matthias notes that:

There was no complete spec for this yet,

He is correct. Sorry; I probably should have seen the need for that sooner. Anyway, I did my best to spec this out fully. Please see V 2.0 Notifications -- Showing Updated Text and Links for the full spec, which accounts for the following variations:

  • The topic "How the moi moved?" was summarized.
  • The topic "How the moi moved?" was summarized on your talk page.
  • The summary for "How the moi moved?" was updated.
  • The summary for "How the moi moved?" was updated on your talk page.
  • The summary for "How the moi moved?" was updated multiple times.
  • The summary for "How the moi moved?"was updated multiple times on your talk page.

Note: in an effort to keep things at least a little simpler, I did not differentiate the secondary link for "on your talk page" versions (though in many other such cases we link to the Diff instead of the pagename). In the interest of not driving ourselves crazy, I hope that works for people.

I'm moving this to Design/Product until the spec is verified, so @matthiasmullie, if you want to continue working on this, be aware the spec might change. @Pginer-WMF, @Quiddity, @Trizek-WMF and @Etonkovidova, please review the spreadsheet and leave your comments there.

jmatazzoni added a comment.EditedMar 3 2016, 11:55 PM

Regarding the issue of what to do when a topic is both summarized and resolved at the same time: Thanks for raising this issue Pau. As Matt correctly points out, however, these are separate events, so we'd have to do some dancing to handle the events as one.

Therefore, my take is this: while it might be desirable to create a single, unified notification (or a bundle), there is nothing inaccurate about notifying someone that a topic was resolved and that, shortly thereafter, the topic summary was updated (or created). Nor, I think, would users be surprised to learn that these two events had happened in a short time frame. Finally, it's hard to imagine this happening so frequently as to become spammy.

My inclination therefore is to keep things simple and let the two notifications go through. Let's see if anyone reacts.

If you feel this is an important refinement but agree that it's not something we need to deal with right now, please feel free to create a separate task in the backlog. Alternatively, if you feel strongly that we do need to address this now, please speak up.

I will record this same decision in T125654.

Regarding the issue of what to do when a topic is both summarized and resolved at the same time: Thanks for raising this issue Pau. As Matt correctly points out, however, these are separate events, so we'd have to do some dancing to handle the events as one.

I agree they are different events, but when they happen as part of the resolution workflow, they are part of the same user intent. The animation below shows how are we presenting the summarisation as part of the resolution process (note that the user is not asks for summarising, it is provided as part of the resolution process):

I think we can live by having the events completely separated for now, and capture the idea for combining them into a more meaningful event later. For that purpose I created T128848: Combine Flow resolved and summarised events when they are part of the "mark as resolved" workflow

Change 275385 had a related patch set uploaded (by Matthias Mullie):
Use same link for flow & flowusertalk summary notification

https://gerrit.wikimedia.org/r/275385

Change 275385 merged by jenkins-bot:
Use same link for flow & flowusertalk summary notification

https://gerrit.wikimedia.org/r/275385

No one has objected to the newly created spec for this newly minted notification type, dubbed flow-summary-edit, so I'm moving this task back into development. Please find details about icons, language and links on the spreadsheet V 2.0 Notifications -- Showing Updated Text and Links. It accounts for the following variations:

  • The topic "How the moi moved?" was summarized.
  • The topic "How the moi moved?" was summarized on your talk page.
  • The summary for "How the moi moved?" was updated.
  • The summary for "How the moi moved?" was updated on your talk page.
  • The summary for "How the moi moved?" was updated multiple times.
  • The summary for "How the moi moved?"was updated multiple times on your talk page.

The topic "How the moi moved?" was summarized.
The topic "How the moi moved?" was summarized on your talk page.

The summary for "How the moi moved?" was updated.
The summary for "How the moi moved?" was updated on your talk page.

The summary for "How the moi moved?" was updated multiple times.
The summary for "How the moi moved?"was updated multiple times on your talk page.

jmatazzoni closed this task as Resolved.Mar 11 2016, 8:52 PM

Closing this ticket (with pleasure!). Thanks all.